# This file was created automatically by SWIG.
import thermoc
from ooflib.SWIG.engine.properties import PropertyPtr
from ooflib.SWIG.engine.property.elasticity.cijkl import CijklPtr
from ooflib.SWIG.engine.property.elasticity.elasticity import ElasticityPtr
class ThermoElasticityPropPtr(ElasticityPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def cijkl_pointer(self, *_args, **_kwargs):
        val = apply(thermoc.ThermoElasticityProp_cijkl_pointer,(self,) + _args, _kwargs)
        if val: val = CijklPtr(val) 
        return val
    def __repr__(self):
        return "<C ThermoElasticityProp instance at %s>" % (self.this,)
class ThermoElasticityProp(ThermoElasticityPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(thermoc.new_ThermoElasticityProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: thermo.spy,v $
# $Revision: 1.6 $
# $Author: vrc $
# $Date: 2007-09-26 22:03:19 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov.

from ooflib.engine import propertyregistration
PropertyRegistration = propertyregistration.PropertyRegistration

from ooflib.common.IO import parameter
FloatParameter = parameter.FloatParameter

from ooflib.engine.IO import isocijkl 
from ooflib.engine import problem
from ooflib.SWIG.common import config
import types

if config.devel()>=1:
    PropertyRegistration(
        'Mechanical:Elasticity:ThermoElasticity', ThermoElasticityProp,
        "ooflib.SWIG.engine.property.elasticity.thermo.thermo",100,
        [isocijkl.IsotropicCijklParameter('cijkl',
                        isocijkl.IsotropicRank4TensorLame(lmbda=1.0, mu=0.5),
                                                tip=parameter.emptyTipString),
         FloatParameter('t0', 0.0, tip=parameter.emptyTipString),
         FloatParameter('alpha', 0.0, tip=parameter.emptyTipString)],
        fields=[problem.Temperature, problem.Displacement],
        fluxes=[problem.Stress],
        outputs=["Energy"],
        propertyType="Elasticity")
    
