// -*- C++ -*-
// $RCSfile: cstrain.h,v $
// $Revision: 1.8 $
// $Author: vrc $
// $Date: 2007-09-26 22:02:38 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

#ifndef CSTRAIN_H
#define CSTRAIN_H

class Element;
class FEMesh;
class MasterPosition;
class SymmMatrix;

#include "engine/IO/propertyoutput.h"

void findGeometricStrain(const FEMesh*, const Element*,
			 const MasterPosition&, SymmMatrix&);

class POInitGeometricStrain : public SymmMatrix3PropertyOutputInit {
public:
  virtual OutputVal *operator()(const PropertyOutput*,
				const FEMesh*, const Element*,
				const MasterCoord&) const;
};

#endif // CSTRAIN_H
